/* ==== Root Styles ==== */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700;800;900&display=swap');

body {
    margin: 0;
}

html {
    box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

p, span, label, a, li {
    font-weight: 600!important;
}

h2, h3, h4 {
    font-weight: 800 !important;
}

section {
    font-family: 'Montserrat', sans-serif;
}

/* ==== Container ==== */

.container {
    width: 100%;
    max-width: 1536px;
    margin-left: auto;
    margin-right: auto;
    padding-left: 16px;
    padding-right: 16px;
    box-sizing: border-box;
}

@media (max-width: 1536px) {
    .container {
        max-width: 1280px;
    }
}

@media (max-width: 1280px) {
    .container {
        max-width: 1024px;
    }
}

@media (max-width: 1024px) {
    .container {
        max-width: 768px;
    }
}

@media (max-width: 768px) {
    .container {
        max-width: 640px;
    }
}

@media (max-width: 640px) {
    .container {
        max-width: 100%;
        padding-left: 12px;
        padding-right: 12px;
    }
}

/* Header and Footer */

header {
    padding: 18px 0;
    box-shadow: 0 5px 30px rgba(0, 22, 84, 0.1);
    -webkit-box-shadow: 0 5px 30px rgba(0, 22, 84, 0.1);
    position: relative;
    z-index: 10;
    background: white;
}

header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-logo {
    width: 58px;
    height: auto;
}

.header-tel {
    background-color: #2656A0;
    font-family: 'Montserrat', sans-serif;
    font-size: 18px;
    font-weight: 400;
    transition-duration: 300ms;
    border-radius: 20px 20px 20px 20px;
    padding: 9px 27px 9px 27px;
    color: #fff;
    text-decoration: none;
}

.header-tel:hover {
    background-color: #5A8ADE;
}

/* Lang Switcher */

.header-right {
    display: flex;
    align-items: center;
    gap: 0 32px;
}

.header-lang {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

.header-lang a {
    color: #2656A0;
    text-decoration: none;
    display: flex;
    align-items: center;
}

.lang-btn {
    display: flex;
    align-items: center;
    padding: 8px 21px;
    border: 1px solid #2656A0;
    border-radius: 20px;
    font-size: 18px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    color: #2656A0;
    background: white;
    transition: background 0.3s;
    user-select: none;
}

.lang-btn img {
    width: 25px;
    height: auto;
    margin-right: 6px;
}

.lang-dropdown {
    position: absolute;
    top: 110%;
    left: 0;
    right: 0;
    background: white;
    padding: 8px 21px;
    border: 1px solid #2656A0;
    border-radius: 20px;
    font-size: 18px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    color: #2656A0;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 8px;
    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
    transition: all 0.3s;
    z-index: 10;
}

.lang-dropdown img {
    width: 25px;
    height: auto;
    margin-right: 6px;
}

.header-lang:hover .lang-dropdown {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

/* Burger Menu */

.header-nav {
    display: flex;
    align-items: center;
    gap: 20px;
}

.nav-list {
    display: flex;
    list-style: none;
    gap: 45px;
    margin: 0;
    padding: 0;
}

.nav-list li a {
    color: #2656A0;
    text-decoration: none;
    font-weight: 600!important;
    font-size: 18px;
    font-family: 'Montserrat', sans-serif;
    transition: all 300ms ease;
}

.nav-list li a:hover {
    color: #5A8ADE;
}

.burger-icon {
    display: none;
    font-size: 26px;
    cursor: pointer;
}

/* Mobile menu */

.mobile-menu {
    position: fixed;
    top: 0;
    right: -100%;
    width: 280px;
    height: 100%;
    background: white;
    box-shadow: -2px 0 10px rgba(0,0,0,0.1);
    transition: right 0.3s ease;
    z-index: 9999;
    padding: 20px;
    display: flex;
    flex-direction: column;
}

.mobile-menu.show {
    right: 0;
}

.mobile-menu-header {
    display: flex;
    justify-content: flex-end;
}

.close-btn {
    font-size: 40px;
    cursor: pointer;
}

.mobile-nav-list {
    list-style: none;
    padding: 30px 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px 0;
}

.mobile-nav-list li {
    text-align: center;
}

.mobile-nav-list li a {
    color: #2656A0;
    text-decoration: none;
    font-weight: 400!important;
    font-size: 22px;
    font-family: 'Montserrat', sans-serif;
    transition: all 300ms ease;
}

.mobile-nav-list li a:hover {
    color: #5A8ADE ;
}

.mobile-tel {
    margin-top: 20px;
    background-color: #2656A0;
    font-family: 'Montserrat', sans-serif;
    font-size: 18px;
    font-weight: 400!important;
    transition-duration: 300ms;
    border-radius: 20px 20px 20px 20px;
    padding: 9px 27px 9px 27px;
    color: #fff;
    text-decoration: none;
    text-align: center;
}

/* ==== Footer ==== */

.footer {
    background: #fff;
    border-radius: 32px 32px 0 0;
    box-shadow: 0 4px 30px 0 #00000040;
}

.footer-top {
    padding: 100px 0 58px;
    border-width: 0 0 1px 0;
    border-style: solid;
    border-color: #2656A0;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0 20px;
}

.footer-top > div {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px 0;
}

.footer-top h4 {
    font-family: 'Montserrat', sans-serif;
    font-size: 38px;
    font-weight: 400;
    color: #2656A0;
    margin: 0;
    text-align: center;
}

.footer-icon-block {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0 12px;
}

.footer-icon-block svg {
    width: 50px;
    height: auto;
}

.footer-icon-block svg path {
    fill: #2656A0;
    stroke-width: 3px;
}

.footer-icon-block a, .footer-icon-block p {
    font-family: 'Montserrat', sans-serif;
    font-size: 22px;
    font-weight: 400;
    line-height: 36px;
    color: #2656A0;
    text-decoration: none;
    margin: 0;
}

.footer-socials-block {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0 25px;
}

.footer-socials-block a {
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 200ms linear;
}

.footer-socials-block svg {
    width: auto;
    height: 42px;
    fill: #004299;
}

.footer-bottom {
    padding: 59px 0 100px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 44px 0;
}

.footer-bottom p {
    font-size: 14px;
    font-weight: 400;
    font-family: 'Montserrat', sans-serif;
    line-height: 18px;
    color: #2656A0;
    margin: 0;
}

.footer-middle .footer-menu-list {
    list-style: none;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: 0;
    padding: 40px 0 0;
    gap: 30px;
}

.footer-middle .footer-menu-list a,
.footer-middle .footer-menu-list a:visited {
    font-size: 20px;
    text-decoration: none;
    color: #2656A0;
    transition: all 300ms ease;
}

.footer-middle .footer-menu-list a:hover {
    color: #5A8ADE;
}

/* ==== Banner Section ==== */

.banner {
    background-position: center;
    background-size: cover;
    box-shadow: 0 5px 30px rgba(0, 22, 84, 0.1);
    -webkit-box-shadow: 0 5px 30px rgba(0, 22, 84, 0.1);
}

.banner .container {
    padding-top: 50px;
    padding-bottom: 50px;
}

.banner h1 {
    font-size: 36px;
    font-weight: 600;
    font-family: 'Montserrat', sans-serif;
    color: white;
}

@media screen and (max-width:1280px) {
    .nav-list {
        gap: 25px;
    }

    .nav-list li a {
        font-size: 16px;
    }
}

@media screen and (max-width:1024px) {
    .nav-list, .header-tel {
        display: none;
    }

    .burger-icon {
        display: block;
        margin-left: auto;
    }

    .footer-top {
        grid-template-columns: 1fr;
        gap: 40px 0;
    }

    .footer-top > div {
        gap: 15px 0;
    }

    .footer-top h4 {
        font-size: 24px;
    }

    .footer-icon-block svg {
        width: 45px;
    }

    .footer-icon-block a, .footer-icon-block p {
        font-size: 18px;
    }

    .footer-middle .footer-menu-list a, .footer-middle .footer-menu-list a:visited {
        font-size: 18px;
    }
}

@media screen and (max-width:540px) {
    .header-logo {
        width: 40px;
    }

    .header-tel {
        font-size: 14px;
    }

    header {
        padding: 12px 0;
    }

    .header-logo {
        width: 40px;
    }

    .header-tel {
        font-size: 14px;
    }

    .footer-top {
        padding: 35px 0 38px;
        gap: 30px 0;
    }

    .footer-top h4 {
        font-size: 22px;
    }

    .footer-icon-block svg {
        width: 35px;
    }

    .footer-icon-block a, .footer-icon-block p {
        font-size: 14px;
        line-height: normal;
    }

    .footer-socials-block svg {
        height: 15px;
    }

    .footer-socials-block a {
        width: 32px;
        height: 32px;
    }

    .footer-bottom {
        padding: 39px 0 28px;
    }

    .footer-bottom p {
        font-size: 12px;
    }

    .footer-middle .footer-menu-list a, .footer-middle .footer-menu-list a:visited {
        font-size: 16px;
    }
}

@media screen and (max-width:440px) {
    .lang-btn img, .lang-dropdown img {
        width: 18px;
    }

    .header-right {
        gap: 0 10px;
    }

    .lang-btn, .lang-dropdown {
        font-size: 14px;
        padding: 6px 12px;
    }

    .header-tel {
        font-size: 12px;
    }

    .footer-icon-block a, .footer-icon-block p {
        font-size: 12px;
    }

    .footer-icon-block svg {
        width: 30px;
    }

    .footer-icon-block {
        gap: 0 5px;
    }

    .banner h1 {
        font-size: 30px;
    }

    .footer-middle .footer-menu-list {
        gap: 15px;
        padding-top: 30px;
    }

    .footer-middle .footer-menu-list a, .footer-middle .footer-menu-list a:visited {
        font-size: 14px;
    }
}